WML::FMT::ISOLATIN(1)

NAME
wml::fmt::isolatin - ISO-Latin-1 to HTML Entity Conversion

SYNOPSIS
  #use wml::fmt::isolatin [global]

  <isolatin>
  Text with ISO latin 1 characters
  for instance german umlauts: ``öäüÖÄÜß''
  </isolatin>

DESCRIPTION
This creates an area substitution with Pass 6 (asubst) for all ISO-Latin-1 characters to their corresponding HTML entities. Note that this is not really necessary because HTML 3.2 states that every browser has to understand ISO-Latin-1 characters. So there is no real need to encode them with this container tag. But it is safe, because the result is 7Bit which can be transfered over more mediums then the 8 Bit version with ISO-Latin-1 characters.

When adding the "global" argument, the complete document gets automatically encapsulated into a "<isolatin>" container.

AUTHOR
 Ralf S. Engelschall
 rse@engelschall.com
 www.engelschall.com

REQUIRES
 Internal: P1, P2, P6
 External: --

SEEALSO
ISO Latin 1 character table